function myCallBack()
    //on récupère les handles par leur "Tag"
    // la première valeur : a
    h1=findobj("Tag","val1");
    // la deuxième valeur :b
    h2=findobj("Tag","val2");
    // le résultat a+b
    h3=findobj("Tag","resultat");
    // calcule de la somme 
    val1=h1.String;  // valeur de a 
    val2=h2.String;  // valeur de b
    valeur=string(evstr(val1+'+'+val2))
    // on affecte la somme dans la case résultat
    h3.string=valeur  
endfunction


function myGui()
// FENETRE PRINCIPALE  
hfig = figure(...
  'Tag', 'myGui', ...
  'BackgroundColor',  name2rgb("blue")/255, ...
  'Figure_name', 'myGui', ...
  'Position', [20 20 300 200]);

//1er CHAMP TEXTE  (a)
h1 = uicontrol(hfig, ...
  'Style', 'edit', ...
  'Tag', 'val1', ...
  'String', '1', ...
  'HorizontalAlignment', 'left', ...
  'FontAngle', 'italic', ...
  'FontSize', 20, ...
  'FontWeight', 'bold', ...
  'BackgroundColor', name2rgb("gray")/255, ...
  'ForegroundColor', name2rgb("black")/255, ...
  'FontUnits', 'pixels', ...
  'FontName', 'helvetica', ...
  'Position', [50 100 50 20]);
  
//le +
h4 = uicontrol(hfig, ...
  'Style', 'text', ...
  'Tag', 'plus', ...
  'String', '+', ...
  'HorizontalAlignment', 'center', ...
  'FontAngle', 'italic', ...
  'FontSize', 20, ...
  'FontWeight', 'bold', ...
  'BackgroundColor', name2rgb("gray")/255, ...
  'ForegroundColor', name2rgb("black")/255, ...
  'FontUnits', 'pixels', ...
  'FontName', 'helvetica', ...
  'Position', [100 100 20 20]);

//2ième CHAMP TEXTE (b)
h2 = uicontrol(hfig, 'Style', 'edit', ...
  'Tag', 'val2', ...
  'String', '2', ...
  'HorizontalAlignment', 'left', ...
  'FontAngle', 'italic', ...
  'FontSize', 20, ...
  'FontWeight', 'bold', ...
  'BackgroundColor', name2rgb("gray")/255, ...
  'ForegroundColor', name2rgb("black")/255, ...
  'FontUnits', 'pixels', ...
  'FontName', 'helvetica', ...
  'Position', [120 100 50 20]);

//le '='
h5 = uicontrol(hfig, ...
  'Style', 'text', ...
  'Tag', 'equal', ...
  'String', '=', ...
  'HorizontalAlignment', 'center', ...
  'FontAngle', 'italic', ...
  'FontSize', 20, ...
  'FontWeight', 'bold', ...
  'BackgroundColor', name2rgb("gray")/255, ...
  'ForegroundColor', name2rgb("black")/255, ...
  'FontUnits', 'pixels', ...
  'FontName', 'helvetica', ...
  'Position', [170 100 30 20]);

//3ième CHAMP TEXTE  (résultat  a+b)
h3 = uicontrol(hfig, ...
  'Style', 'edit', ...
  'Tag', 'resultat', ...
  'String', '', ...
  'HorizontalAlignment', 'left', ...
  'FontAngle', 'italic', ...
  'FontSize', 20, ...
  'FontWeight', 'bold', ...
  'BackgroundColor', name2rgb("gray")/255, ...
  'ForegroundColor', name2rgb("red")/255, ...
  'FontUnits', 'pixels', ...
  'FontName', 'helvetica', ...
  'Position', [200 100 50 20]);
 
  
// BOUTON 'execute'
boutonexec = uicontrol(hfig, ...
  'Style', 'pushbutton', ...
  'Tag', 'button1', ...
  'String', 'calculer', ...
  'Callback','myCallBack()', ... // appelle le calcule de la somme
  'BackgroundColor', name2rgb("green")/255, ...
  'ForegroundColor', name2rgb("black")/255, ...
  'FontAngle', 'normal', ...
  'FontSize', 20, ...
  'FontWeight', 'normal', ...
  'FontUnits', 'pixels', ...
  'FontName', 'helvetica', ...
  'Position', [50 50 100 20]);
  
  // BOUTON 'fermer'
boutonclose = uicontrol(hfig, ...
  'Style', 'pushbutton', ...
  'Tag', 'button2', ...
  'String', 'fermer', ...
  'Callback','delete(findobj('"Tag'",'"myGui'"))', ... // détruire la fenêtre 
  'BackgroundColor', name2rgb("green")/255, ...
  'ForegroundColor', name2rgb("black")/255, ...
  'FontAngle', 'normal', ...
  'FontSize', 20, ...
  'FontWeight', 'normal', ...
  'FontUnits', 'pixels', ...
  'FontName', 'helvetica', ...
  'Position', [160 50 100 20]);

endfunction 

myGui()
