// définition d'une grille
x=[-1:0.1:1];y=x; 
// calcul de la surface
[X,Y]=meshgrid(x,y);
Z=X.^2-Y.^2;
//affichage de la surface 
clf;
F=gcf();F.color_map=hotcolormap(64);
subplot(121)
// dessine la surface en 3d
plot3d1(x,y,Z)  
// on enlève le tracé des facettes
E=gce();E.color_mode=-1; 
// on colle les lignes de niveaux sur la surface 
contour(x,y,Z,7,flag=[0 2 4])
xtitle('plot3d1+contour')
subplot(122)
// dessine la surface en 2d
Sgrayplot(x,y,Z)
// on colle les lignes de niveaux sur la surface 
contour(x,y,Z,7)
xtitle('Sgrayplot+contour')
