function S=entrer_valeurs(S,S0)
    // S  = état actuel du sudoku
    // S0 = sudoku de départ
    // appel de l'éditeur de variables pour modifier le sudoku
    text=[ 'entrer de nouvelles valeurs du sudoku ...
    (ne modifier que les cases avec un 0) :';
    '';
    strcat(string(S0),' ','c')]
    S1=evstr(x_mdialog(text,string(1:9),string(1:9),string(S)))
    //on vérifie la validité de la modification
    [I,J]=find((S1<>S)&(S0<>0))
    if I<>[] then  // on a modifié des cases non-autorisées
        messagebox('vous avez modifié des valeurs du sudoku de départ!',...
        ,'error','modal')
    else  // on teste la validité du nouveau sudoku
        [I,J]=find((S1<>S))
        bool=%t
        while bool & (I<>[]) 
            // pour chaque modification 
            i=I(1),I(1)=[] // on récupère la ligne
            j=J(1),J(1)=[] // on récupère la colonne
            bool=teste_case(i,j,S1)  // on teste
        end
        if bool then // on valide la modification 
             S=S1
         else // si incompatibilité on annule les modifications
              messagebox('la valeur '+string(S1(i,j))+' de la case ('+string(i)+','+string(j)+') n''est pas admissible!','error','modal')
        end
    end
endfunction
